TestNs\MyApp\SalaryComponentsType:
    properties:
        netSalary:
            -
                NotNull:
                    groups:
                        - xsd_rules
        grossSalary:
            -
                NotNull:
                    groups:
                        - xsd_rules
        salaryCost:
            -
                NotNull:
                    groups:
                        - xsd_rules
        senorityChecking:
            -
                Choice:
                    choices:
                        - UNHEEDED
                        - MAXIMUM_ALLOWED
                        - HR_APPRECIATION
                        - WITH
                    groups:
                        - xsd_rules
        salary:
            -
                NotNull:
                    groups:
                        - xsd_rules
